Sazabi
APIComponents

Merge a component

Consolidate a source into an active terminal target without rewriting historical issue or observation attribution.

POST https://api.sazabi.com/v1/components/merge

POST
/components/merge

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/components/merge" \  -H "Content-Type: application/json" \  -d '{    "sourceComponentId": "34a8b2bc-e610-4f3a-97af-c95ca8a0231c",    "targetComponentId": "f827f33c-a57f-4a69-918c-db5700f83e84",    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",    "reason": "string",    "componentRevisions": {      "property1": 0,      "property2": 0    }  }'
{  "result": {    "sourceComponentId": "34a8b2bc-e610-4f3a-97af-c95ca8a0231c",    "targetComponentId": "f827f33c-a57f-4a69-918c-db5700f83e84",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "complete",    "affectedComponentIds": [      "0fdea54a-2d18-4bfa-9be7-ec94b1cb5190"    ],    "manifest": {      "componentRevisions": {        "property1": 0,        "property2": 0      },      "redirectedComponentIds": [        "5bd2d802-0a0f-4d0d-a741-227c87e425e0"      ],      "dataSourceMappingIds": [        "6e74d2ea-3dc3-41fc-bd48-d185aed2ef16"      ],      "movedAliasIds": [        "58194fc6-4eca-40ca-ae87-73034c1b46d9"      ],      "historicalDisplayIds": [        "7d575da8-535c-4e21-a3b3-7c3da78bab89"      ],      "notificationPolicies": [        {          "policyId": "2f5573e6-5ba4-48f2-a75d-df99c936463b",          "action": "deduplicated",          "equivalentPolicyId": "993cd06b-8216-4dd2-8f44-a18df21beb8f",          "beforeRowRevision": 0,          "afterRowRevision": 0,          "beforeComponentIds": [            "dda38f46-aab6-4206-900d-d152405dd1da"          ],          "afterComponentIds": [            "3fc69601-ea16-4048-bdd7-eb640d7bb9b5"          ]        }      ],      "automationBindings": [        {          "policyId": "2f5573e6-5ba4-48f2-a75d-df99c936463b",          "action": "deduplicated",          "equivalentPolicyId": "993cd06b-8216-4dd2-8f44-a18df21beb8f",          "beforeRowRevision": 0,          "afterRowRevision": 0,          "beforeComponentIds": [            "dda38f46-aab6-4206-900d-d152405dd1da"          ],          "afterComponentIds": [            "3fc69601-ea16-4048-bdd7-eb640d7bb9b5"          ]        }      ],      "recommendationScopeIds": [        "a6bccf0a-13a5-400c-9d0b-1af7cc2682de"      ]    }  }}